Login / Register 0 items | $0.00 New @ KVR
evanduz
KVRer
 
1 post since 29 Jun, 2009

Postby evanduz; Tue Jul 28, 2009 10:40 pm Sika problem

I tried to instal Sika to use in Logic Studio 8 with Mac OS X 10.5.7

I can't access Sika from within Logic... any idea why this might be so?


The step: "4. Sika is VST RTAS AU compatible if installed in the right Pluggo Runtime folder and will work as VST only
otherwise" was a bit confusing. It is installed in Library>audio>plugins>VST>pluggo (at least that is where the sika v.1.6.1.vst folder is) The confusing part is that, if I am needing to use it as an AU, is this the right place?

Thanks!
sammmm
KVRist
 
32 posts since 6 Sep, 2005

Postby sammmm; Wed Jul 29, 2009 11:11 pm

Yes this is the right path
You need to run "AU Scan" application to refresh your Pluggo AU List
ptrickf
KVRist
 
56 posts since 15 Jul, 2004

Postby ptrickf; Thu Aug 06, 2009 10:12 am

Hello

I have a similar problem - I've done as suggested above. I can see SIKA in Logic Pro's audio units but cannot validate it. (Logic Pro 8.0.2 on an intel mac with leopard 10.5.7)

everything passes except the last bit as shown below

"PUBLISHED PARAMETER INFO:

# # # 999 Global Scope Parameters:
ERROR: Parameter's min value is greater than max value
WARNING: use -strict_DefP flag
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Parameter's Published defaultvalue does not fall with [min, max] range *
* This will fail using -strict option. Will fail in future auval version *
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

* * FAIL
--------------------------------------------------
AU VALIDATION FAILED: CORRECT THE ERRORS ABOVE.
--------------------------------------------------


validation result: failed validation" (I have the whole log if someone wants to check it)

any ideas? :help:

thanks
sammmm
KVRist
 
32 posts since 6 Sep, 2005

Postby sammmm; Fri Aug 07, 2009 12:46 am

Check "Library>audio>plugins>VST>Pluggo" you have 2 Sika files 1.5 and 1.6.1 the validation error is from 1.5 and 1.6.1 should appear in logic
The right file structure is
"Library>audio>plugins>VST>Pluggo>sika v.1.6.1.vst"
If its not, you can copy it manually
Please keep in mind this:
- Pluggo folder should be the one created by Pluggo installer (or it will not show in logic)
- You only need the sound files from V1.5 (you can use custom install for that)
- If this doesn't work please reinstall Pluggo then sika
- Always run the scan app after any changes in the " VST>Pluggo" folder

Regards
Hossam
ptrickf
KVRist
 
56 posts since 15 Jul, 2004

Postby ptrickf; Fri Aug 07, 2009 11:51 pm

finally got it to work by starting over - hooray - and I like the sounds and scales - many thanks for your help. :)
sammmm
KVRist
 
32 posts since 6 Sep, 2005

Postby sammmm; Sun Aug 09, 2009 6:43 am

You are welcome :)
Hossam
Wuji
KVRist
 
59 posts since 29 Oct, 2009

Postby Wuji; Tue Jan 19, 2010 10:45 am

I am having trouble, pretty much the same problems, I think I have done everything right, getting very agitated, i know it's free ware, but surely it doesn't have to be this complicated, also using pluggo has ruined my vst to au warpper plugins, any advice?
Macbook pro, mid 2012
OSX 10.8.5
Bitwig 1.0.10 (not yet using with any other DAW as I can't get Jack working)
Logic 9.1.8, Renoise 3.0, NI KU8
Wuji
KVRist
 
59 posts since 29 Oct, 2009

Postby Wuji; Tue Jan 19, 2010 10:53 am

i am running logic 9, could this be a problem?
Macbook pro, mid 2012
OSX 10.8.5
Bitwig 1.0.10 (not yet using with any other DAW as I can't get Jack working)
Logic 9.1.8, Renoise 3.0, NI KU8
sammmm
KVRist
 
32 posts since 6 Sep, 2005

Postby sammmm; Fri Jan 22, 2010 4:00 am

Please check this video for operating Sika
http://www.youtube.com/watch?v=72rkF4N-PVM
Sika was tested with Logic 8
Try a clean install for Pluggo and sika

Regards
Hossam
Wuji
KVRist
 
59 posts since 29 Oct, 2009

Postby Wuji; Sat Jan 23, 2010 7:34 am

I'm pretty sure I've followed all the steps. First I install pluggo. Then I install sika 1.5, (after doing this no sika file appears in the "/Library/Audio/Plug-Ins/VST/Pluggo" folder.) I then install sika 1.6 and then in the Library/Audio/Plug-Ins/VST/Pluggo" folder i have sika-free.vst and a folder called sika v.1.6.1.vst with a file called sikav.1.6.1.vst. I then double click on the Pluggo component in Library/Audio/Plug-Ins/Components (is this the audio scan thing?) it then says my audio unit has been updated and is now ready to use. I then open logic and there is nothing in my instruments that says sika. I then go to AU manager and try and validate sika and this message appears. (am i taking the right steps, is there anywhere I am going wrong?) :

validating Audio Unit sika-free by Pluggo:

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
AU Validation Tool
Version: 1.2.1b3
Copyright 2003-2007, Apple, Inc. All Rights Reserved.

Specify -h (-help) for command options
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

--------------------------------------------------
VALIDATING AUDIO UNIT: 'aumu' - '=Ãd' - '????'
--------------------------------------------------
Manufacturer String: Pluggo
AudioUnit name: sika-free
Component Info: the never-ending plugin
Component Version: 3.6.0 (0x30600)
Component's Bundle Version: 3.6.1

* * PASS
--------------------------------------------------
TESTING OPEN TIMES:
COLD:
Pluggo: Loading effect sika-free
seq: reading: s13-3.mid
seq: reading: s13-2.mid
seq: reading: s13-3.mid
seq: reading: RiQ2.mid
seq: reading: RiQ1.mid
seq: reading: s13-5.mid
seq: reading: s13-4.mid
seq: reading: s13-3.mid
seq: reading: s13-2.mid
seq: reading: Sound13.mid
fluidsynth~ (Fluid Synth soundfont synthesizer for Max/MSP), version 01/2007 (13)
Fluid Synth is written by Peter Hanappe et al. (see http://www.fluidsynth.org/)
Max/MSP integration by Norbert Schnell, IRCAM - Centre Pompidou
seq: reading: Sound13.mid
seq: reading: tst1.mid
• warning: duplicate parameter number 800 (loadbang and loadbang)
gigaverb~ 1.0test5, © 1999-2006 Juhana Sadeharju / Olaf Matthes
fluidsynth~ core (level 2): No tuning at bank 0, prog 0
fluidsynth~ core (level 2): No tuning at bank 0, prog 0
fluidsynth~: cannot find file 'Mac HD:/HTT Sounds/'
WARNING: This plug-in has a mismatch between number of parameters and the number of parameters stored in the plugconfig presets!
Time to open AudioUnit: 3031.045 ms
WARM:
Pluggo: Loading effect sika-free
seq: reading: s13-3.mid
seq: reading: s13-2.mid
seq: reading: s13-3.mid
seq: reading: RiQ2.mid
seq: reading: RiQ1.mid
seq: reading: s13-5.mid
seq: reading: s13-4.mid
seq: reading: s13-3.mid
seq: reading: s13-2.mid
seq: reading: Sound13.mid
seq: reading: Sound13.mid
seq: reading: tst1.mid
• warning: duplicate parameter number 800 (loadbang and loadbang)
fluidsynth~ core (level 2): No tuning at bank 0, prog 0
fluidsynth~ core (level 2): No tuning at bank 0, prog 0
fluidsynth~: cannot find file 'Mac HD:/HTT Sounds/'
WARNING: This plug-in has a mismatch between number of parameters and the number of parameters stored in the plugconfig presets!
Time to open AudioUnit: 168.909 ms
FIRST TIME:
Time for initialization: 0.356 ms

* * PASS
--------------------------------------------------
VERIFYING DEFAULT SCOPE FORMATS:
Input Scope Bus Configuration:
Default Bus Count:0

Output Scope Bus Configuration:
Default Bus Count:1
Default Format: AudioStreamBasicDescription: 2 ch, 44100 Hz, 'lpcm' (0x00000029) 32-bit little-endian float, deinterleaved

* * PASS
--------------------------------------------------
VERIFYING REQUIRED PROPERTIES:
VERIFYING PROPERTY: Sample Rate
PASS
VERIFYING PROPERTY: Stream Format
PASS
VERIFYING PROPERTY: Maximum Frames Per Slice
PASS
VERIFYING PROPERTY: Last Render Error
PASS
VERIFYING PROPERTY: Instrument Count
PASS

* * PASS
--------------------------------------------------
VERIFYING RECOMMENDED PROPERTIES:
VERIFYING PROPERTY: Latency
PASS

* * PASS
--------------------------------------------------
VERIFYING OPTIONAL PROPERTIES:
VERIFYING PROPERTY Supported Number of Channels
PASS
VERIFYING PROPERTY Bypass Effect
PASS
VERIFYING PROPERTY Host Callbacks
PASS

* * PASS
--------------------------------------------------
VERIFYING SPECIAL PROPERTIES:

VERIFYING CUSTOM UI
Carbon View Components Available: 1
auvw plug PiMa - Pluggo: Pluggo editor
PASS

Cocoa Views Available: 0

HAS FACTORY PRESETS

VERIFYING CLASS INFO
PASS

TESTING HOST CALLBACKS
PASS

* * PASS
--------------------------------------------------
PUBLISHED PARAMETER INFO:

# # # 999 Global Scope Parameters:
ERROR: Parameter's min value is greater than max value
WARNING: use -strict_DefP flag
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Parameter's Published defaultvalue does not fall with [min, max] range *
* This will fail using -strict option. Will fail in future auval version *
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

* * FAIL
--------------------------------------------------
AU VALIDATION FAILED: CORRECT THE ERRORS ABOVE.
--------------------------------------------------


validation result: failed validation

updating properties of AU sika-free by Pluggo...done.
Macbook pro, mid 2012
OSX 10.8.5
Bitwig 1.0.10 (not yet using with any other DAW as I can't get Jack working)
Logic 9.1.8, Renoise 3.0, NI KU8
sammmm
KVRist
 
32 posts since 6 Sep, 2005

Postby sammmm; Sun Jan 24, 2010 10:35 am

The validation error is from 1.5 you can remove it (but keep the sounds folder), the Pluggo validation app is called "Audio Units Scan"
Try this
- Delete every thing in "Library/Audio/Plug-Ins/VST/Pluggo" folder
- install V 1.6.1 the file should be in "Library/Audio/Plug-Ins/VST/Pluggo/sikav.1.6.1.vst" (not "…/sikav.1.6.1.vst /sikav.1.6.1.vst")
- run the "AU Scan" app
- start Logic (it should validate while starting)
Hossam
bheadgr
KVRer
 
1 post since 8 Aug, 2015

Postby bheadgr; Sat Aug 08, 2015 11:32 am Re: Sika problem

hi from me......
i did all that manual and here say for install sika to my mac book but i can not find that in Logic.....
at cubase i find but not sound........
PLEASE I REALY NEED THAT TO WORK WITH LOGIC
PLEASEEEEE HELP!!!!!!!

THANKS
Spitfire31
KVRAF
 
2749 posts since 18 May, 2003, from Sweden

Postby Spitfire31; Mon Oct 19, 2015 10:48 am Re: Sika problem

All the above Pluggo problems are gone thanks to the new 1.0 free Kontakt Sika. Only caveat is that you have to own the full Kontakt 5.3. version – the demo won't cut it.

Fun instrument and you can't complain about value for money… ;-)

/Joachim
If it were easy, anybody could do it!

Moderator: sammmm

Return to Human Touch Technology